vulkan-loader (1.4.341.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 06 Feb 2026 11:06:08 +0200

vulkan-loader (1.4.335.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 18 Dec 2025 12:06:33 +0200

vulkan-loader (1.4.328.1-1) unstable; urgency=medium

  * New upstream release.
  * Update README.source.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 28 Oct 2025 13:55:20 +0200

vulkan-loader (1.4.321.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 07 Aug 2025 16:41:44 +0300

vulkan-loader (1.4.309.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 18 Mar 2025 14:58:54 +0200

vulkan-loader (1.4.304.0-1) unstable; urgency=medium

  * New upstream release.
  * symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 16 Jan 2025 16:38:20 +0200

vulkan-loader (1.3.296.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 16 Oct 2024 13:19:03 +0300

vulkan-loader (1.3.290.0-1) unstable; urgency=medium

  * New upstream release.
  * rules: Disable module support in vulkan-headers (FTBFS).

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 29 Aug 2024 10:37:49 +0300

vulkan-loader (1.3.283.0-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Enable the build on all the architectures, as this source is generally
    portable, and upstream accepts ports: (Closes: #907152)
    - switch the architecture of the binaries from linux-any to any
    - Wayland is still Linux-specific, so:
      - limit the libwayland-dev build dependency as linux-any
      - pass -DBUILD_WSI_WAYLAND_SUPPORT=OFF to cmake on non-Linux
        architectures to explicitly disable the Wayland integration
      - mark two Wayland-related symbols as linux-any

  [ Timo Aaltonen ]
  * New upstream release.
  * control: Bump policy to 4.7.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 30 May 2024 11:08:51 +0300

vulkan-loader (1.3.280.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Migrate to pkgconf.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 15 Apr 2024 20:30:37 +0300

vulkan-loader (1.3.275.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #1061768)
  * rules: Create loader/generated if it doesn't exist.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 30 Jan 2024 13:29:31 +0200

vulkan-loader (1.3.268.0-1) unstable; urgency=medium

  * New upstream release.
  * fix-headers-install.diff: Dropped, as cmake is fixed now.
  * sync_headers.sh, watch: Updated to use the new tag naming.
  * rules: Fix building generated source files.
  * libvulkan-dev.install: Add arch specific cmake files.
  * rules: Update clean target. (Closes: #1048652, #1049657)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 03 Nov 2023 10:44:10 +0200

vulkan-loader (1.3.250.0-1) unstable; urgency=medium

  * New upstream release.
  * patches: Refreshed.
  * README.source: Updated to match reality.
  * sync-headers: Support non-sdk tags.
  * rules: Prepare for next upstream version, enable LOADER_CODEGEN.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 12 Jun 2023 11:39:49 +0300

vulkan-loader (1.3.239.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #1026768)
  * fix-headers-install.diff: Refreshed.
  * symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 06 Feb 2023 10:41:08 +0200

vulkan-loader (1.3.236.0-2) unstable; urgency=medium

  * Make -dev multiarch-friendly again by installing cmake files to
   libdir. (Closes: #1029194)

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 21 Jan 2023 18:39:02 +0200

vulkan-loader (1.3.236.0-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * Refresh vulkan-headers to 1.3.236.0

  [ Dylan Aïssi ]
  * Fix use of vulkan-headers in debian/rules

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 17 Jan 2023 19:58:36 +0200

vulkan-loader (1.3.231.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 08 Nov 2022 10:20:32 +0200

vulkan-loader (1.3.224.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Aug 2022 18:28:28 +0300

vulkan-loader (1.3.216.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 22 Jun 2022 12:39:19 +0300

vulkan-loader (1.3.211.0-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * sync_headers.sh: Fix checking the version.
  * patches: Dropped, upstream.

  [ Simon McVittie ]
  * tests: Exclude precompiled binary objects from .orig tarball
  * d/copyright: Update
  * Regenerate loader/generated/ during build.
    Thanks to Helmut Grohne (Closes: #981362)
  * d/rules: Delete another __pycache__ directory
  * d/libvulkan1.symbols: Expect i386 to be treated as an x86 architecture

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 25 May 2022 11:34:17 +0300

vulkan-loader (1.3.204.1-2) unstable; urgency=medium

  * symbols: Fix arch specific symbols.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 15 Mar 2022 16:27:24 +0200

vulkan-loader (1.3.204.1-1) unstable; urgency=medium

  * New upstream release.
  * symbols: Fixed.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 15 Mar 2022 11:50:36 +0200

vulkan-loader (1.3.204.0-1) unstable; urgency=medium

  * control: Drop python3-minimal dependency from libvulkan-dev.
  * New upstream release.
  * symbols: Updated.
  * symbols: Go back to a single symbols file, but skip some symbols on
    i386.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 15 Feb 2022 21:35:10 +0200

vulkan-loader (1.2.198.1-2) unstable; urgency=medium

  * patches: Add patches to fix symbols for i386. (Closes: #1003219)
  * symbols: Add a symlink .aarch64 -> .amd64.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 07 Jan 2022 10:46:21 +0200

vulkan-loader (1.2.198.1-1) unstable; urgency=medium

  * New upstream release.
  * sync_headers.sh: Updated to take sdk version as an argument, and use
    git checkout instead of force reset.
  * fix-ftbfs.diff: Dropped, upstream.
  * Drop prebuilt libdummy binaries from the source.
  * control: Add python dep to libvulkan-dev.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 05 Jan 2022 11:00:05 +0200

vulkan-loader (1.2.189.0-2) unstable; urgency=medium

  * fix-ftbfs.diff: Fix a typo in a test.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 07 Sep 2021 15:32:49 +0300

vulkan-loader (1.2.189.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 07 Sep 2021 13:40:34 +0300

vulkan-loader (1.2.182.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 01 Sep 2021 15:12:01 +0300

vulkan-loader (1.2.182.0-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 13 Aug 2021 08:58:06 +0300

vulkan-loader (1.2.162.0-1) unstable; urgency=medium

  * New upstream release.
  * fix-pkgconfig.diff: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 07 Jan 2021 09:34:46 +0200

vulkan-loader (1.2.154.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 09 Oct 2020 09:58:07 +0300

vulkan-loader (1.2.148.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 07 Sep 2020 14:57:51 +0300

vulkan-loader (1.2.141.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 12 Jun 2020 07:20:34 +0300

vulkan-loader (1.2.135.0-3) unstable; urgency=medium

  [ Simon McVittie ]
  * Add missing autopkgtests dependencies (Closes: #958836)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 04 May 2020 13:33:06 +0300

vulkan-loader (1.2.135.0-2) unstable; urgency=medium

  * symbols: Add a separate symbols file for x86, strip missing symbols
    from the rest.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 09 Apr 2020 19:13:42 +0300

vulkan-loader (1.2.135.0-1) unstable; urgency=medium

  * New upstream release. (LP: #1871754)
  * control: Bump policy to 4.5.0.
  * symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 09 Apr 2020 07:39:59 +0300

vulkan-loader (1.2.131.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper to 12, use -compat.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 10 Feb 2020 17:17:52 +0200

vulkan-loader (1.1.126.0-2) unstable; urgency=medium

  * install-generated-headers.diff: Dropped, they're actually shipped by
    validationlayers now.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 20 Nov 2019 20:28:51 +0200

vulkan-loader (1.1.126.0-1) unstable; urgency=medium

  * New upstream release.
  * install-extra-headers.diff: Install vk_layer_dispatch_table.h
    again, and add other pre-generated headers. (LP: #1849260)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 20 Nov 2019 15:17:20 +0200

vulkan-loader (1.1.121.0-2) unstable; urgency=medium

  * control: Make mesa-vulkan-drivers the preferred driver package to
    install via Recommends. (Closes: #940560)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 17 Sep 2019 15:18:53 +0300

vulkan-loader (1.1.121.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Add vulkan-icd to libvulkan1 Recommends. (Closes: #935871)

  [ Helmut Grohne ]
  * Support DEB_BUILD_OPTIONS=nocheck to drop googletest. (Closes:
    #928696)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 17 Sep 2019 10:35:32 +0300

vulkan-loader (1.1.114.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 01 Aug 2019 15:55:16 +0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libvulkan1`.
